com.holonplatform.vaadin7.components

## Interface BeanListing<T>

- Type Parameters:
    `T` - Bean type
  All Superinterfaces:
    com.vaadin.server.ClientConnector, com.vaadin.ui.Component, com.vaadin.shared.Connector, ItemListing<T,String>, ItemSet, Selectable<T>, Serializable, com.vaadin.server.Sizeable

      public interface BeanListing<T>
      extends ItemListing<T,String>

  An `ItemListing` component using a bean type as item type and the bean property names as property set.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.ItemListing

      `ItemListing.CellStyleGenerator<T,P>, ItemListing.ColumnAlignment, ItemListing.ItemClickListener<T,P>, ItemListing.ItemDescriptionGenerator<T>, ItemListing.ItemDetailsGenerator<T>, ItemListing.PropertyReorderListener<P>, ItemListing.PropertyResizeListener<P>, ItemListing.PropertyVisibilityListener<P>, ItemListing.RowStyleGenerator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.ItemSet

      `ItemSet.ItemCaptionGenerator<ITEM>, ItemSet.ItemIconGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.Selectable

      `Selectable.SelectionEvent<T>, Selectable.SelectionListener<T>, Selectable.SelectionMode`

    - ### Nested classes/interfaces inherited from interface com.vaadin.ui.Component

      `com.vaadin.ui.Component.ErrorEvent, com.vaadin.ui.Component.Event, com.vaadin.ui.Component.Focusable, com.vaadin.ui.Component.Listener`

    - ### Nested classes/interfaces inherited from interface com.vaadin.server.ClientConnector

      `com.vaadin.server.ClientConnector.AttachEvent, com.vaadin.server.ClientConnector.AttachListener, com.vaadin.server.ClientConnector.ConnectorErrorEvent, com.vaadin.server.ClientConnector.DetachEvent, com.vaadin.server.ClientConnector.DetachListener`

    - ### Nested classes/interfaces inherited from interface com.vaadin.server.Sizeable

      `com.vaadin.server.Sizeable.Unit`

  - ### Field Summary

    - ### Fields inherited from interface com.vaadin.server.Sizeable

      `SIZE_UNDEFINED, UNITS_CM, UNITS_EM, UNITS_EX, UNITS_INCH, UNITS_MM, UNITS_PERCENTAGE, UNITS_PICAS, UNITS_PIXELS, UNITS_POINTS`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ItemListingBuilder.GridItemListingBuilder<T>` | `builder(Class<T> itemType)` Builder to create an `BeanListing` instance using a `Grid` as backing component.
    `static <T> ItemListingBuilder.GridItemListingBuilder<T>` | `gridBuilder(Class<T> itemType)` Builder to create an `BeanListing` instance using a `Grid` as backing component.
    `static <T> ItemListingBuilder.TableItemListingBuilder<T>` | `tableBuilder(Class<T> itemType)` Builder to create an `BeanListing` instance using a `Table` as backing component.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.ItemListing

      `addItem, clear, commit, discard, getItem, getPropertyColumns, isBuffered, isFooterVisible, isItemDetailsVisible, refreshItem, removeItem, scrollToItem, scrollToTop, selectAll, setFooterVisible, setItemDetailsVisible, setPropertyColumnVisible, setSelectionMode, sort`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.ItemSet

      `refresh`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.Selectable

      `addSelectionListener, deselect, deselectAll, getFirstSelectedItem, getSelectedItems, getSelectionMode, isSelected, select`

    - ### Methods inherited from interface com.vaadin.ui.Component

      `addListener, addStyleName, attach, getCaption, getDescription, getIcon, getId, getLocale, getParent, getPrimaryStyleName, getStyleName, getUI, isEnabled, isReadOnly, isVisible, readDesign, removeListener, removeStyleName, setCaption, setEnabled, setIcon, setId, setParent, setPrimaryStyleName, setReadOnly, setStyleName, setVisible, writeDesign`

    - ### Methods inherited from interface com.vaadin.server.ClientConnector

      `addAttachListener, addDetachListener, beforeClientResponse, detach, encodeState, getErrorHandler, getExtensions, getRpcManager, getStateType, handleConnectorRequest, isAttached, isConnectorEnabled, markAsDirty, markAsDirtyRecursive, removeAttachListener, removeDetachListener, removeExtension, requestRepaint, requestRepaintAll, retrievePendingRpcCalls, setErrorHandler`

    - ### Methods inherited from interface com.vaadin.shared.Connector

      `getConnectorId`

    - ### Methods inherited from interface com.vaadin.server.Sizeable

      `getHeight, getHeightUnits, getWidth, getWidthUnits, setHeight, setHeight, setHeightUndefined, setSizeFull, setSizeUndefined, setWidth, setWidth, setWidthUndefined`

- - ### Method Detail

    - #### builder

          static <T> ItemListingBuilder.GridItemListingBuilder<T> builder(Class<T> itemType)

      Builder to create an `BeanListing` instance using a `Grid` as backing component.
      Type Parameters:
        `T` - Item data type
      Parameters:
        `itemType` - Item bean type
      Returns:
        Grid `BeanListing` builder

    - #### gridBuilder

          static <T> ItemListingBuilder.GridItemListingBuilder<T> gridBuilder(Class<T> itemType)

      Builder to create an `BeanListing` instance using a `Grid` as backing component.
      Type Parameters:
        `T` - Item data type
      Parameters:
        `itemType` - Item bean type
      Returns:
        Grid `BeanListing` builder

    - #### tableBuilder

          static <T> ItemListingBuilder.TableItemListingBuilder<T> tableBuilder(Class<T> itemType)

      Builder to create an `BeanListing` instance using a `Table` as backing component.
      Type Parameters:
        `T` - Item data type
      Parameters:
        `itemType` - Item bean type
      Returns:
        Table `BeanListing` builder

Copyright © 2019 The Holon Platform. All rights reserved.